Name:           pdumpfs
Version:        1.3
Release:        %mkrel 14
Summary:        Daily backup system which preserves every daily snapshot 
Group:          File tools
License:        GPLv2
URL:            http://0xcc.net/pdumpfs/
Source0:        %{name}-%{version}.tar.gz
Patch1:		pdumpfs-ruby192.patch
Patch2:		pdumpfs-fix-tests-on-first-day-of-the-month.patch
BuildRequires:  pkgconfig(ruby) 
BuildArch:      noarch

%description
pdumpfs is a simple daily backup system similar to Plan9's dumpfs which 
preserves every daily snapshot. pdumpfs is written in Ruby. You can access 
the past snapshots at any time for retrieving a certain day's file. 

pdumpfs constructs the snapshot YYYY/MM/DD in the destination directory. All 
source files are copied to the snapshot directory for the first time. On and 
after the second time, pdumpfs copies only updated or newly created files and 
stores unchanged files as hard links to the files of the previous day's 
snapshot for saving a disk space.

%prep
%setup -q
%autopatch -p1

%build
%make
# add a correct shebang at the beggining of the file
perl -pi -e '$. == 1 && print "#\!/usr/bin/ruby\n"' pdumpfs

%check
make check

%install
mkdir -p $RPM_BUILD_ROOT/%_bindir/
chmod 0755 pdumpfs
cp pdumpfs  $RPM_BUILD_ROOT/%_bindir/

mkdir -p $RPM_BUILD_ROOT/%_mandir/
cp -R  man/man8 $RPM_BUILD_ROOT/%_mandir/

%files
%doc doc ChangeLog README
%_bindir/*
%_mandir/man8/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.3-14.mga8
+ Revision: 1492697
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.3-13.mga7
+ Revision: 1265671
- Mageia 7 Mass Rebuild

* Mon Sep 05 2016 pterjan <pterjan> 1.3-12.mga6
+ Revision: 1050036
- Fix tests to not fail on the first day of the month

* Mon Feb 08 2016 umeabot <umeabot> 1.3-11.mga6
+ Revision: 942666
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3-10.mga5
+ Revision: 745436
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3-9.mga5
+ Revision: 683393
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.3-8.mga4
+ Revision: 535980
- Mageia 4 Mass Rebuild

* Tue Mar 26 2013 cjw <cjw> 1.3-7.mga4
+ Revision: 405339
- patch1: fix for new ruby
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Apr 21 2011 cjw <cjw> 1.3-6.mga1
+ Revision: 89615
- imported package pdumpfs


* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.3-5mdv2010.0
+ Revision: 430253
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.3-4mdv2009.0
+ Revision: 255175
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.3-2mdv2008.1
+ Revision: 136655
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Thu Nov 02 2006 Michael Scherer <misc@mandriva.org> 1.3-2mdv2007.0
+ Revision: 75491
- Rebuild
- remove macro, now included in rpm-mandriva-setup
- Import pdumpfs

